docker-build-master:
  # Official docker image.
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" gitlab.jonasled.de
  script:
    - sudo docker build -t gitlab.jonasled.de/jonasled/website:latest .
    - docker push "gitlab.jonasled.de/jonasled/website:latest"
  only:
    - master